<?php
include_once(getabspath("include/articulo_settings.php"));

function DisplayMasterTableInfo_articulo($params)
{
	$detailtable = $params["detailtable"];
	$keys = $params["keys"];
	$detailPageObj = $params["detailPageObj"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	$oldTableName = $strTableName;
	$strTableName = "articulo";
	
	$settings = new ProjectSettings($strTableName, PAGE_LIST);
	$cipherer = new RunnerCipherer($strTableName);
	
	$masterQuery = $settings->getSQLQuery();
	
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST);

$where = "";
$mKeys = array();
$showKeys = "";

global $page_styles, $page_layouts, $page_layout_names, $container_styles;

$layout = new TLayout("masterlist","BoldAqua","MobileAqua");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterlistheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterlistfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["articulo_masterlist"] = $layout;


if($detailtable == "venta")
{
		$where.= GetFullFieldName("idarticulo", "", false)."=".$cipherer->MakeDBValue("idarticulo",$keys[1-1], "", "", true);
	$showKeys .= " "."Idarticulo".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
}
	if(!$where)
	{
		$strTableName = $oldTableName;
		return;
	}
	$str = SecuritySQL("Search");
	if(strlen($str))
		$where.= " and ".$str;

	$strWhere = whereAdd($masterQuery->WhereToSql(),$where);
	if(strlen($strWhere))
		$strWhere = " where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL = AddWhere($strSQL,$where);
	LogInfo($strSQL);
	$rs = db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName = $oldTableName;
		return;
	}
	$keylink = "";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["idarticulo"]));
	

//	idarticulo - 
			$value="";

					$xt->assign("idarticulo_mastervalue", $viewControls->showDBValue("idarticulo", $data, $keylink));

//	codigo - 
			$value="";

					$xt->assign("codigo_mastervalue", $viewControls->showDBValue("codigo", $data, $keylink));

//	nombre - 
			$value="";

					$xt->assign("nombre_mastervalue", $viewControls->showDBValue("nombre", $data, $keylink));

//	idcategoria - 
			$value="";

					$xt->assign("idcategoria_mastervalue", $viewControls->showDBValue("idcategoria", $data, $keylink));

//	idsubcategoria - 
			$value="";

					$xt->assign("idsubcategoria_mastervalue", $viewControls->showDBValue("idsubcategoria", $data, $keylink));

//	costo - Number
			$value="";

					$xt->assign("costo_mastervalue", $viewControls->showDBValue("costo", $data, $keylink));

//	precio - Number
			$value="";

					$xt->assign("precio_mastervalue", $viewControls->showDBValue("precio", $data, $keylink));

//	stock - 
			$value="";

					$xt->assign("stock_mastervalue", $viewControls->showDBValue("stock", $data, $keylink));

//	idproveedor - 
			$value="";

					$xt->assign("idproveedor_mastervalue", $viewControls->showDBValue("idproveedor", $data, $keylink));

//	fecha_carga - Short Date
			$value="";

					$xt->assign("fecha_carga_mastervalue", $viewControls->showDBValue("fecha_carga", $data, $keylink));

//	observacion - 
			$value="";

					$xt->assign("observacion_mastervalue", $viewControls->showDBValue("observacion", $data, $keylink));

	$viewControls->addControlsJSAndCSS();
	$detailPageObj->viewControlsMap['mViewControlsMap'] = $viewControls->viewControlsMap;

	$layout = GetPageLayout("articulo", 'masterlist');
	if($layout)
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->display("articulo_masterlist.htm");
	
	$strTableName=$oldTableName;
}

?>